#pragma once

#include <stddef.h>
#include <stdarg.h>
#include <stdint.h>

#define TERM_W 80
#define TERM_H 25

void putc(char c);
void puts(const char* s);
void printf(const char* s, ...);
void vprintf(const char* s, va_list args);
void term_clear(void);
void term_setcol(uint8_t new_col);
void term_setpos(size_t new_x, size_t new_y);
uint32_t term_save(void);
void term_load(uint32_t pos);
void term_scroll(ptrdiff_t lines);
void term_flush(void);
